{*******************************************************************************
 *  ClientVerbindung : Netzwerkuntersttzung fr Stifte und Muse              *
 *               Version 2.0 vom 27.02.2006                                    *
 *               Joachim Deckers, Mariengymnasium Arnsberg                     *
 *               Ursprngliche Fassung: Klaus Dingemann                        *
 *               eMail: sum-delphi@deckers.name                                *
 *******************************************************************************
 * Bitte teilen Sie den Entwicklern Ihre Verbesserungsvorschlge mit oder      *
 * weisen Sie sie auf Fehler (und ggf. deren Berichtigung) hin.                *
 *                                                                             *
 * Danke fr Ihre Mitarbeit.                                                   *
 *******************************************************************************}

unit mClientVerbindung;

interface

uses  mVerbindung, mListe, scktComp, mSuM;

type

  ClientVerbindung = class(Verbindung)
                       protected
                       procedure ClientSocketRead(Sender: TObject;Socket: TCustomWinSocket); override;
                       public
                       procedure bearbeiteNachricht(pNachricht:Zeichenkette);virtual;
                       destructor gibFrei;override;
                     end;
implementation

    procedure ClientVerbindung.ClientSocketRead(Sender: TObject;Socket: TCustomWinSocket);
    var
      lNachricht:Zeichenkette;
    begin
      inherited ClientSocketRead(Sender,Socket);
      while not hatListe.istLeer do begin
        hatListe.zumAnfang;
        lNachricht:=ZeichenketteObjekt(hatListe.aktuelles).inhalt;
        hatListe.entferneAktuelles;
        bearbeiteNachricht(lNachricht);
      end;
    end;

    procedure ClientVerbindung.bearbeiteNachricht(pNachricht:Zeichenkette);
    begin end;

    destructor ClientVerbindung.gibFrei;
    var
     lNachricht:Zeichenkette;
    begin
      while not hatListe.istLeer do begin
        hatListe.zumAnfang;
        lNachricht:=ZeichenketteObjekt(hatListe.aktuelles).inhalt;
        hatListe.entferneAktuelles;
        bearbeiteNachricht(lNachricht);
      end;
      inherited gibFrei;
    end;

end.
