{*******************************************************************************
 *                             Kennwortfeld Version 1.1                        *
 *                (c) 2002 Ulrich Borghoff    Gymnasium Wilnsdorf              *
 *                           eMail: sum-delphi@web.de                          *
 * *****************************************************************************
 * Diese Komponenten Version drfte unter Delphi ab Version ab 4 laufen        *
 *******************************************************************************
 * Bitte ndern Sie diese Datei nicht ab, sondern teilen den Entwicklern Ihre  *
 * Verbesserungsvorschlge oder Fehler (und ggf. deren Berichtigung) mit.      *
 *                                                                             *
 * Danke fr Ihre Mitarbeit.                                                   *
 *******************************************************************************}

unit mKennwortfeld;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, mSuM, mTextfeld;

type
  TKennwortfeld = class(TTextfeld)

  public

    constructor Create(AOwner: TComponent); override;
    procedure setzeKennwortzeichen(pZeichen:Zeichen); VIRTUAL;
    function kennwortzeichen:Zeichen; VIRTUAL;

  published

      property _Kennwortzeichen : Zeichen read kennwortzeichen write setzeKennwortzeichen;

  end;

procedure Register;

implementation

constructor tKennwortfeld.Create(AOwner: TComponent);
begin
  inherited Create(AOwner);
  self.PasswordChar:='*';
end;

procedure tKennwortfeld.setzeKennwortzeichen(pZeichen : Zeichen);
begin
 self.PasswordChar:=pZeichen;
end;

function tKennwortfeld.Kennwortzeichen : Zeichen;
begin
 result:=self.PasswordChar;
end;


// Registrierung

procedure Register;
begin
  RegisterComponents('Schule', [tKennwortfeld]);
end;


end.
